---
categories: web
title: Howto Metabase
...

* Documentation : <https://www.metabase.com/docs/latest/>

[Metabase](https://www.metabase.com/) est un logiciel open source permettant l'exploration de données.

## Installation

Metabase nécessite OpenJDK 8, l'installer via [HowtoJava]().

Créer un utilisateur `metabase` et télécharger le fichier `.jar` :

~~~
useradd metabase
mkdir -p /home/metabase
cd /home/metabase
wget http://downloads.metabase.com/v0.31.0/metabase.jar
chown metabase: /home/metabase -R
~~~

Créer l'unité systemd suivante `/etc/systemd/system/metabase.service` :

~~~
[Unit]
Description=Metabase
After=network.target

[Service]
Type=simple
ExecStart=/usr/lib/jvm/java-8-openjdk-amd64/bin/java -jar /home/metabase/metabase.jar
User=metabase
Group=metabase
WorkingDirectory=/home/metabase

[Install]
WantedBy=multi-user.target
~~~

Puis lancer et activer le service au démarrage :

~~~
systemctl daemon-reload
systemctl start metabase
systemctl enable metabase
~~~