**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Quota

## Mise en place

~~~
# apt install quota
~~~

Ajouter _usrquota_ et/ou _grpquota_ dans les partitions concernées du fichier /etc/fstab exemple :

~~~
/dev/sdb1 /home ext4 defaults,noexec,nosuid,nodev,usrquota,grpquota 0 2
~~~

~~~
# mount -o remount /home
# quotacheck -cgfmv  F vfsv0 /home/
# quotacheck -cufmv -F vfsv0 /home/
# quotaon /home
~~~

Temps de grâce pour le quota de groupe :

~~~
# edquota -g -t
~~~

## FAQ

### Erreur : warnquota: Parse error at line 42. Cannot find end of group name

~~~
# warnquota -g
warnquota: Parse error at line 42. Cannot find end of group name.
~~~

Problème à la ligne 42 du fichier /etc/quotagrpadmins

### Forcer systemd-quotacheck a re-calculer les quotas

À partir de Debian 8 c'est systemd-quotacheck qui est utilisé au démarrage de la machine. Par défaut son exécution et très rapide, car il pense qu'il n'y a aucune différence entre l'utilisation disque et les quotas.  
Si on veut le forcer à re-calculer les quotas il faut indiquer le paramètre suivant lors du démarrage du noyau : `quotacheck.mode=force`

On peut le mettre via GRUB par exemple, via `/etc/default/grub`.